# I3DShWF Struct Reference
[Shell Interfaces]

Inheritance diagram for I3DShWF:

List of all members.

## Public Member Functions
virtual I3DShWireFrameSet *MCCOMAPI | GetNewInterface ()=0
virtual I3DShWireFrame *MCCOMAPI | GetDeprecatedInterface ()=0
virtual void MCCOMAPI | Transform (const TTreeProjectionTransform &trans)=0
virtual boolean MCCOMAPI | TestHit (const TVector2 &inScreenPoint, const real inMaxHitError, const int32 inSelectionMask, const boolean selectBehindCamera, TWFHitInfo &outInfo) const =0
virtual void MCCOMAPI | AddRenderables (TMCPtrArray< I3DShRenderable > &renderables)=0
virtual boolean MCCOMAPI | HasWFExcludedFromZBuffer () const =0
virtual void MCCOMAPI | SetSelectedState (const boolean selected)=0

## Detailed Description

I3DShWF will become I3DShWireFrameSet when we get rid of the deprecated I3DShWireFrame. It represents a set of wireframe that are applied to an object.

## Member Function Documentation

virtual void MCCOMAPI I3DShWF::AddRenderables | ( | TMCPtrArray< I3DShRenderable > & | renderables | ) | `[pure virtual]`

Appends the renderables of the wireframe set.

Parameters:

  | renderables | The renderable list.

virtual I3DShWireFrame* MCCOMAPI I3DShWF::GetDeprecatedInterface | ( |  | ) | `[pure virtual]`

Returns a pointer to the new interface for wireframes if it is supported and returns NULL if it is not. In which case you should use GetDeprecatedInterface() instead.

virtual I3DShWireFrameSet* MCCOMAPI I3DShWF::GetNewInterface | ( |  | ) | `[pure virtual]`

Returns a pointer to the new interface (I3DShWireFrameSet) for wireframes if it is supported and returns NULL if it is not. In which case you should use GetDeprecatedInterface() instead.

virtual boolean MCCOMAPI I3DShWF::HasWFExcludedFromZBuffer | ( |  | ) | const`[pure virtual]`

Returns true if it contains wireframes that are excluded from the ZBuffer.

virtual void MCCOMAPI I3DShWF::SetSelectedState | ( | const boolean | selected | ) | `[pure virtual]`

Sets the selection state.

Parameters:

  | selected | True if the wireframe is selected.

virtual boolean MCCOMAPI I3DShWF::TestHit | ( | const TVector2 & | inScreenPoint,
|  | const real | inMaxHitError,
|  | const int32 | inSelectionMask,
|  | const boolean | selectBehindCamera,
|  | TWFHitInfo & | outInfo |
| ) |  |  | const`[pure virtual]`

Returns true if the wireframe is selected by clicking on a given point.

Parameters:

  | inScreenPoint | The point in screen coordinates.
  | inMaxHitError | The maximum distance for selection.
  | inSelectionMask | Selection mask (use a combination of the constants in EWFElementType)
  | outInfo | The hit information if there is one.

virtual void MCCOMAPI I3DShWF::Transform | ( | const TTreeProjectionTransform & | trans | ) | `[pure virtual]`

Returns the transform of the wireFrame.

Parameters:

  | trans |

The documentation for this struct was generated from the following file:

- I3DWireFrameSet.h